Modify SAP Oracle instance
SAP Oracle instance modify
Path Parameters
- instanceId string required
- application/json
Request Body
instanceProperties object
instance object
instanceName string requiredName of the SAP oracle instance
appName string requiredDefault value:
SAP for OracleclientName string requiredSAP Oracle client on which instance is present
planEntity object required
planName string requiredcredentialEntity object
Credential used to connect to DB. Must be of type 'SAP Oracle'
credentialName stringsapOracleInstance object required
oracleHome string requiredEnter the Oracle application home path.
sapDataPath string requiredSAP Oracle DATA home path
sapExeFolder string requiredSAP Oracle EXE path
sqlConnect object
userName stringDefault value:
/Username to use to connect to the SAP for Oracle DB. Set '/' for OS auth. Please create a credential for all other connect strings
osUserCredInfo object
Applicable only for Windows clients. Used for impersonation
credentialName stringuseSAPSecureStore booleanDefault value:
falseSAP Oracle SecureStore
Responses
- 200
- 404
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
processinginstructioninfo object
attributes object[]
name stringvalue stringresponse object[]
warningCode integererrorCode integerwarningMessage stringentity object
subclientId integerclientId integerinstanceName stringinstanceId integer_type_ integer
{
"processinginstructioninfo": {
"attributes": [
{
"name": "string",
"value": "string"
}
]
},
"response": [
{
"warningCode": 0,
"errorCode": 0,
"warningMessage": "string",
"entity": {
"subclientId": 0,
"clientId": 0,
"instanceName": "string",
"instanceId": 0,
"_type_": 0
}
}
]
}
{
"processinginstructioninfo": {
"attributes": [
{
"name": "exitval",
"value": "0"
}
]
},
"response": [
{
"warningCode": 0,
"errorCode": 0,
"warningMessage": "",
"entity": {
"subclientId": 0,
"clientId": 0,
"instanceName": "",
"instanceId": 0
}
}
]
}
Not Found
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Unknown Instance information. Please provide valid instance id to\ncomplete the operation.",
"errorCode": 587206385
}
Loading...